EntityInfo (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: EntityInfo

Package org.apache.geode.management.api

# Class EntityInfo<T extends AbstractConfiguration<R>,R extends RuntimeInfo>

java.lang.Object
org.apache.geode.management.api.EntityInfo<T,R>

Type Parameters:
  `T` - the config type
  `R` - the runtimeInfo type

public class EntityInfo<T extends AbstractConfiguration<R>,R extends RuntimeInfo> extends Object
This holds the configuration of a particular entity in the cluster. It includes the id of the entity and a list of configuration per group on the cluster

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityInfo()`
  `EntityInfo(String id, List<EntityGroupInfo<T,R>> groups)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<T>`
  `getConfigurations()`
  `List<EntityGroupInfo<T,R>>`
  `getGroups()`
  `String`
  `getId()`
  `Links`
  `getLinks()`
  `List<R>`
  `getRuntimeInfos()`
  `int`
  `hashCode()`
  `void`
  `setGroups(List<EntityGroupInfo<T,R>> groups)`
  `void`
  `setId(String id)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityInfo

    public EntityInfo()

  - ### EntityInfo

    public EntityInfo(String id, List<EntityGroupInfo<T,R>> groups)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getGroups

    public List<EntityGroupInfo<T,R>> getGroups()

  - ### setGroups

    public void setGroups(List<EntityGroupInfo<T,R>> groups)

  - ### getConfigurations

    public List<T> getConfigurations()

  - ### getRuntimeInfos

    public List<R> getRuntimeInfos()

  - ### getLinks

    public Links getLinks()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`